Subrion CMS 2.3.7 has been released!

Discussion in 'Announcements' started by Vasily B., Apr 1, 2013.

  1. Vasily_B.

    Vasily_B. Project Manager

    Greetings,

    I'm happy to announce the release of Subrion CMS 2.3.7 version. Here is the changelog:

    Upgrade is available in admin panel via Patch applier. Plugins, templates, & packages are compatible with the 2.3.6 version.

    Please ask if you have more questions. Thanks!
  2. mktg

    mktg New Member

    I'm using 2.3.5 ... do I have to upgrade to 2.3.6 first or I upgrade directly to 2.3.7
  3. Vasily_B.

    Vasily_B. Project Manager

    Hi,

    You need to apply 2.3.6 patch, and then apply 2.3.7. That's the only way, sorry.

    Please be careful while upgrading your version to 2.3.6 as upgrade process is a bit different.

    Thanks!
  4. media

    media New Member

    Ok upgrade went pretty smooth...

    I got 3 problems but when I checked the log file, I have compared and fixed them...

    No problem at all....

    Here are the error message I got and fixed them:

    ERROR: Unable to remove the directory: includes/json
    ERROR: Unable to remove the directory: includes/rss2array
    ERROR: Unable to remove the directory: includes/simplexml

    All these directories I do not have them.... they are not exist...

    ERROR: The checksum is not equal: ./changelog.txt (seems modified). Skipped

    I have chomed this 777 next time would not be a problem...

    ERROR: The checksum is not equal: includes/classes/ia.core.php (seems modified). Skipped

    Support and I modified this file and I went back and compare and manually updated... all good...


    That's all... Good job guys, keep up the good work...
  5. Vasily_B.

    Vasily_B. Project Manager

    Thank you very much for the report!

    Yes, the system tries to remove json/ rss2array/ and simplexml/ folders from includes folder as we decided to put them all in utils/ folder.
  6. media

    media New Member

    My util folder does not have any folder in it only 4 files. klogger rsstoarray services_json and simplexml.class

    ????
  7. Vasily_B.

    Vasily_B. Project Manager

    That's absolutely correct, don't worry.

    We moved util classes from several folders into one. It's working as intended.
  8. Miri

    Miri Guest

    Hello.
    In the update page I get this warning:

    Please log in as an administrator to proceed. (
  9. Vasily_B.

    Vasily_B. Project Manager

    Just follow the instructions, Fatmir Marku. You should login as admin before running the update.

    Thanks!
  10. Miri

    Miri Guest

    Ciao e grazie della risposta.
    Forse mi sono espresso male.
    Infatti io, sono logato nel mio sito, come amministratore, e il messaggio di errore appare lo stesso.
  11. Gleb_S.

    Gleb_S. Subrion Designer Staff Member

    Hello Fatmir!

    If you still have this problem please create a ticket, we will help you to solve it.
  12. Gleb_S.

    Gleb_S. Subrion Designer Staff Member

    Hello everyone!

    To those who has this message during the upgrade to 2.3.7 version:
    Probably, you get this error because some of the files were not replaced during previous upgrades.
    In order to fix the problem please download Subrion CMS 2.3.6 version from our site, unzip it and replace the file [subrion_folder]/install/system.php with the downloaded one. Then try to proceed the upgrade. The error should not appear anymore.

Share This Page